Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159891 - CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
Summary: CAN-2005-1704 Integer overflow in the Binary File Descriptor (BFD) library
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard: impact=low,public=20050525,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-08 21:13 UTC by Josh Bressers
Modified: 2008-02-12 00:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-12 00:26:56 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-06-08 21:13:23 UTC
+++ This bug was initially created as a clone of Bug #159888 +++

Integer overflow in the BFD library for elfutils allows attackers to
execute arbitrary code via a crafted object file that specifies a large number
of section headers, leading to a heap-based buffer overflow.

Comment 1 Josh Bressers 2005-06-08 21:14:03 UTC
I believe this issue has not been fixed in FC4 yet.

Comment 2 Matthew Miller 2006-07-10 21:27:57 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 petrosyan 2008-02-12 00:26:56 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.